<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.core.pay.common.mapper.TradeOrderRechargeMapper">

    <!--批量保存-->
    <insert id="batchInsert">
        INSERT INTO trade_order_recharge(trade_id, order_recharge_id, mac_order_id) VALUES
        <foreach collection="tradeOrderRechargeList" item="item" separator=",">
            (#{item.tradeId}, #{item.orderRechargeId}, #{item.macOrderId})
        </foreach>
    </insert>

</mapper>
